services:
  _defaults:
    autowire: true
    autoconfigure: true

  # /products/{product_id}/attributes_hidden/{attribute_id}/values
  XLite\API\Endpoint\AttributeValue\Hidden\Transformer\OutputTransformerInterface: '@XLite\API\Endpoint\AttributeValue\Hidden\Transformer\OutputTransformer'
  XLite\API\Endpoint\AttributeValue\Hidden\Transformer\OutputTransformer: ~
  XLite\API\Endpoint\AttributeValue\Hidden\Transformer\InputTransformerInterface: '@XLite\API\Endpoint\AttributeValue\Hidden\Transformer\InputTransformer'
  XLite\API\Endpoint\AttributeValue\Hidden\Transformer\InputTransformer: ~

  xcart.api.attribute_value.hidden.sub_extension:
    class: XLite\API\SubExtension\AttributeValue\AttributeValueSubExtension
    arguments:
      $attributeType: !php/const XLite\Model\Attribute::TYPE_HIDDEN
      $pathPrefix: attributes_hidden
      $className: XLite\Model\AttributeValue\AttributeValueHidden
    tags: [!php/const XLite\API\Extension\ItemSubExtension\ItemSubExtensionInterface::ITEM_SUB_EXTENSION_TAG, !php/const XLite\API\Extension\CollectionSubExtension\CollectionSubExtensionInterface::COLLECTION_SUB_EXTENSION_TAG]

  XLite\Controller\API\AttributeValue\Hidden\Post:
    tags: ['controller.service_arguments']

  xcart.api.attribute_value.hidden.sub_iri_converter:
    class: XLite\API\SubIriConverter\AttributeValue\AttributeValueSubIriConverter
    arguments:
      $routeItemName: 'api_hidden attribute values_get_item'
      $className: XLite\Model\AttributeValue\AttributeValueHidden
    tags: [!php/const XCart\Framework\ApiPlatform\Core\Bridge\Symfony\Routing\SubIriConverter\SubIriFromItemConverterInterface::SUB_IRI_FROM_ITEM_CONVERTER_TAG]

  XLite\API\Endpoint\AttributeValue\Hidden\DataProvider\ItemDataProvider: ~
